<HTML>
<HEAD></HEAD>
<BODY>
<script type="text/javascript">
function getPromise(time, body)
{ 
  return new Promise ((resolve, reject) => {
  setTimeout (() => { resolve(body)}, time);
    });
}

function goAhead()
{
let pro = getPromise(parseInt(document.getElementById('timeOut').value), document.getElementById('bodyPromise').value);
pro.then(data => eval(data));                    
return;        
}
    
</script>
Timeout for delay:<input type='text' size='10' value='3000' id='timeOut'>
Body of promise:<input type='text' size='25' value='alert("Hi, user")' id='bodyPromise'>
<input type='button' value='Create Promise' id='createPromise' onClick='goAhead()'>    
    
</BODY>
</HTML>